Get progress
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidplan_id*Plan IdFormat
uuidsnapshot_id*Snapshot IdFormat
uuidSuccessful Response
application/json- response
checks*array<>evaluated_at*Evaluated AtFormat
date-timeevidence*array<>observed_at*Observed AtFormat
date-timeprogress*ProgressRange
0 <= value <= 1satisfied*SatisfiedRange
0 <= valuesnapshot_id*Snapshot IdFormat
uuidtarget_version_id*Target Version IdFormat
uuidtotal*TotalRange
1 <= valueunknown*UnknownRange
0 <= valueunknown_fraction*Unknown FractionRange
0 <= value <= 1verified_complete*Verified Completeviolated*ViolatedRange
0 <= valueweighting?WeightingDefault
"One equal share per distinct assertion; unknowns stay in the denominator."curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/plans/497f6eca-6276-4993-bfeb-53cbbbba6f08/progress?snapshot_id=497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "checks": [ { "criterion": { "id": "string", "predicate": { "allowed_source_keys": [ "string" ], "attribute": "string", "expected": "string", "key": "string", "kind": "entity_present", "relationship_kinds": [ "string" ], "required_sources": [ "code" ] }, "title": "string" }, "result": { "affected_keys": [ "string" ], "collection_refs": [ "string" ], "detail": "string", "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "outcome": "holds" } } ], "evaluated_at": "2019-08-24T14:15:22Z", "evidence": [ { "attributes": { "property1": "string", "property2": "string" }, "content_sha256": "string", "evidence_kind": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "location": { "end_column": 1, "end_line": 1, "path": "string", "start_column": 1, "start_line": 1 }, "object": { "attributes": { "property1": "string", "property2": "string" }, "key": "string", "kind": "repository", "name": "string" }, "observed_at": "2019-08-24T14:15:22Z", "provider": "string", "relationship_kind": "string", "source_ref": "string", "source_type": "code", "subject": { "attributes": { "property1": "string", "property2": "string" }, "key": "string", "kind": "repository", "name": "string" }, "summary": "string" } ], "observed_at": "2019-08-24T14:15:22Z", "progress": 0, "satisfied": 0, "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0", "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1", "total": 1, "unknown": 0, "unknown_fraction": 0, "verified_complete": true, "violated": 0, "weighting": "One equal share per distinct assertion; unknowns stay in the denominator."}